## ros-foxy-rcl-action 1.1.14

=== debian/changelog ===
ros-foxy-rcl-action (1.1.14-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Jul 2022 07:00:00 -0000

ros-foxy-rcl-action (1.1.13-1focal) focal; urgency=high

  * Fix expired goals capacity of action server (#931 <https://github.com/ros2/rcl/issues/931>) (#957 <https://github.com/ros2/rcl/issues/957>)
  * Contributors: spiralray

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 04 Feb 2022 08:00:00 -0000

ros-foxy-rcl-action (1.1.12-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 31 Jan 2022 08:00:00 -0000

ros-foxy-rcl-action (1.1.11-1focal) focal; urgency=high

  * Update quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#910 <https://github.com/ros2/rcl/issues/910>)
  * Contributors: Simon Honigmann

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 14 Apr 2021 07:00:00 -0000

ros-foxy-rcl-action (1.1.10-1focal) focal; urgency=high

  * rcl_action: address various clang static analysis fixes (#864 <https://github.com/ros2/rcl/issues/864>) (#875 <https://github.com/ros2/rcl/issues/875>)
  * Update build.ros2.org links (#868 <https://github.com/ros2/rcl/issues/868>)
  * Update QD to QL 1 (#867 <https://github.com/ros2/rcl/issues/867>)
  * Update QD (#843 <https://github.com/ros2/rcl/issues/843>)
  * Contributors: Alejandro Hernández Cordero, Christophe Bedard, Jorge Perez, Stephen Brawner

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 09 Dec 2020 08:00:00 -0000

ros-foxy-rcl-action (1.1.9-1focal) focal; urgency=high

  * Make sure to always check return values. (#840 <https://github.com/ros2/rcl/issues/840>)
  * Make sure to check the return value of rcl APIs. (#838 <https://github.com/ros2/rcl/issues/838>)
  * Add fault injection macros and unit tests to rcl_action (#730 <https://github.com/ros2/rcl/issues/730>)
  * Contributors: Chris Lalancette, brawner

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 03 Nov 2020 08:00:00 -0000

ros-foxy-rcl-action (1.1.8-1focal) focal; urgency=high

  * Fix action client test failure on Windows by zero initializing pointers and freeing memory (#717 <https://github.com/ros2/rcl/issues/717>) (#820 <https://github.com/ros2/rcl/issues/820>)
  * Use valid clock in case of issue in rcl_timer_init (#795 <https://github.com/ros2/rcl/issues/795>) Store reference to rcl_clock_t instead of copy (#797 <https://github.com/ros2/rcl/issues/797>) (#805 <https://github.com/ros2/rcl/issues/805>)
  * Contributors: Shane Loretz, Stephen Brawner

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 07 Oct 2020 07:00:00 -0000

ros-foxy-rcl-action (1.1.7-1focal) focal; urgency=high

  * Removed doxygen warnings (#712 <https://github.com/ros2/rcl/issues/712>) (#724 <https://github.com/ros2/rcl/issues/724>)
  * Contributors: Alejandro Hernández Cordero

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 03 Aug 2020 07:00:00 -0000

ros-foxy-rcl-action (1.1.6-1focal) focal; urgency=high

  * Fixed doxygen warnings (#677 <https://github.com/ros2/rcl/issues/677>) (#696 <https://github.com/ros2/rcl/issues/696>)
  * Contributors: Alejandro Hernández Cordero

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 07 Jul 2020 07:00:00 -0000

ros-foxy-rcl-action (1.1.5-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-foxy-rcl-action (1.1.4-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 07:00:00 -0000

ros-foxy-rcl-action (1.1.3-1focal) focal; urgency=high

  * Add Security Vulnerability Policy pointing to REP-2006 (#661 <https://github.com/ros2/rcl/issues/661>)
  * Address unused parameter warnings (#666 <https://github.com/ros2/rcl/issues/666>)
  * Increase test coverage of rcl_action (#663 <https://github.com/ros2/rcl/issues/663>)
  * Contributors: Chris Lalancette, Stephen Brawner

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-foxy-rcl-action (1.1.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 28 May 2020 07:00:00 -0000

ros-foxy-rcl-action (1.1.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-rcl-action (1.1.0-1focal) focal; urgency=high

  * Update Quality Declaration for 1.0 (#647 <https://github.com/ros2/rcl/issues/647>)
  * Contributors: Stephen Brawner

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 22 May 2020 07:00:00 -0000

ros-foxy-rcl-action (1.0.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 12 May 2020 07:00:00 -0000

ros-foxy-rcl-action (0.9.1-1focal) focal; urgency=high

  * Included features (#644 <https://github.com/ros2/rcl/issues/644>)
  * Quality Declarations for rcl_action, rcl_lifecycle, yaml_parser (#641 <https://github.com/ros2/rcl/issues/641>)
  * Contributors: Alejandro Hernández Cordero, Stephen Brawner

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 08 May 2020 07:00:00 -0000

ros-foxy-rcl-action (0.9.0-1focal) focal; urgency=high

  * Export targets in a addition to include directories / libraries (#632 <https://github.com/ros2/rcl/issues/632>)
  * Rename rosidl_generator_c namespace to rosidl_runtime_c (#616 <https://github.com/ros2/rcl/issues/616>)
  * Rename rosidl_generator_cpp namespace to rosidl_runtime_cpp (#615 <https://github.com/ros2/rcl/issues/615>)
  * Changed rosidl_generator_c/cpp to rosidl_runtime_c/cpp (#588 <https://github.com/ros2/rcl/issues/588>)
  * Changed build_depend and build_depend_export dependencies to depend (#577 <https://github.com/ros2/rcl/issues/577>)
  * Code style only: wrap after open parenthesis if not in one line (#565 <https://github.com/ros2/rcl/issues/565>)
  * Check if action status publisher is ready (#541 <https://github.com/ros2/rcl/issues/541>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Tomoya Fujita

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 29 Apr 2020 07:00:00 -0000


