=== debian/control ===
Source: ros-foxy-rcl-action
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-action-msgs, ros-foxy-ament-cmake-gtest, ros-foxy-ament-cmake-ros, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-osrf-testing-tools-cpp, ros-foxy-rcl, ros-foxy-rcutils, ros-foxy-rmw, ros-foxy-rmw-implementation-cmake, ros-foxy-rosidl-runtime-c, ros-foxy-test-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rcl-action
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-action-msgs, ros-foxy-rcl, ros-foxy-rcutils, ros-foxy-rmw, ros-foxy-rosidl-runtime-c, ros-foxy-ros-workspace
Description: Package containing a C-based ROS action implementation
